﻿using System;
using System.Linq;
using System.Windows.Controls;
using Telerik.Windows.Controls;

namespace TabItemsCustomStyle
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        RadTabControl tabControl;
        private void RadTabControl_Loaded(object sender, System.Windows.RoutedEventArgs e)
        {
            tabControl = sender as RadTabControl;
            (sender as RadTabControl).ItemContainerGenerator.StatusChanged += new EventHandler(ItemContainerGenerator_StatusChanged);
        }

        void ItemContainerGenerator_StatusChanged(object sender, EventArgs e)
        {
            Telerik.Windows.Controls.ItemContainerGenerator containerGenerator = sender as Telerik.Windows.Controls.ItemContainerGenerator;
            if (containerGenerator.Status == Telerik.Windows.Controls.Primitives.GeneratorStatus.ContainersGenerated)
            {
                int pos = 0;
                foreach (var dataItem in tabControl.ItemsSource)
                {
                    RadTabItem tabItem = containerGenerator.ContainerFromItem(dataItem) as RadTabItem;
                    Canvas.SetZIndex(tabItem, tabControl.Items.Count - pos);
                    pos++;
                }
            }
        }
    }
}
