﻿using System;
using System.Collections.ObjectModel;
using System.Windows.Media.Imaging;

namespace TabItemsCustomStyle.ViewModels
{
    public class MainViewModel
    {
        public ObservableCollection<DataItem> Items { get; set; }

        public MainViewModel()
        {
            Items = new ObservableCollection<DataItem>();
            for (int i = 0; i < 8; i++)
            {
                Items.Add(new DataItem
                {
                    Header = String.Format("Item {0}", i),
                    Content = String.Format("Content of Tab {0}", i),
                    ImageSource = new BitmapImage(new Uri("Images/Administration.png",UriKind.Relative))
                });
            }
        }
    }
}
